<?php

use Illuminate\Support\Facades\{Artisan, Schedule};
use App\Console\Commands\{CreatePrentProductCommand, CreateProducts, CreateSEOProducts, DeleteSEOProducts, DeleteShopifyLogsCommand, NewProductsSynCommand, UnlinkPGIDump, UpdateProducts};
use App\Console\Commands\Reports\{CreateProductReport, DailyErrorLogsReport, DailyProductsMigrationReport, NotPublishedProductsReportToSalesTeamCommand}; 


/*
app:update-products
app:unlink-pgi-dump
app:new-products-syn-command
app:delete-shopify-logs
app:delete-seo-products
app:create-seo-products
app:create-products
app:create-prent-product-command
*/
// Schedule::command(CreatePrentProductCommand::class)->dailyAt('06:00')->runInBackground();
// Schedule::command(CreateProducts::class)->everyFiveMinutes()->runInBackground();
// Schedule::command(CreateSEOProducts::class)->dailyAt('04:00')->runInBackground();
// Schedule::command(DeleteSEOProducts::class)->dailyAt('04:30')->runInBackground();
Schedule::command(CreateProducts::class)->dailyAt('05:00')->runInBackground();
// Schedule::command(DeleteShopifyLogsCommand::class)->dailyAt('03:00')->runInBackground();
Schedule::command(NewProductsSynCommand::class)->dailyAt('07:00')->runInBackground();
// Schedule::command(NewProductsSynCommand::class)->everyFiveMinutes()->runInBackground();
Schedule::command(UnlinkPGIDump::class)->dailyAt('08:00')->runInBackground();
Schedule::command(UpdateProducts::class)->dailyAt('09:00')->runInBackground();
// Schedule::command(UpdateProducts::class)->everyFiveMinutes()->runInBackground();


/*
app:not-published-products-report-to-sales-team
app:daily-products-migration-report
app:daily-error-logs-report
app:create-product-report
*/

Schedule::command(CreateProductReport::class)->dailyAt('05:30')->runInBackground();
Schedule::command(DailyErrorLogsReport::class)->dailyAt('05:40')->runInBackground();
Schedule::command(DailyProductsMigrationReport::class)->dailyAt('05:50')->runInBackground();
Schedule::command(NotPublishedProductsReportToSalesTeamCommand::class)->weeklyOn(5, '7:00')->runInBackground(); 


/*
->fridays()
->at('17:00')
->everyFiveMinutes()
->onOneServer();
->daily()
->runInBackground();
->evenInMaintenanceMode();
*/ 

/*
Schedule::call(function () { 

})->everySecond();
*/ 
