<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\{WebhooksController};
use Illuminate\Foundation\Http\Middleware\ValidateCsrfToken;

Route::get('/logs', '\Rap2hpoutre\LaravelLogViewer\LogViewerController@index')->name('logs');

Route::get('/', function () {
    return view('welcome');
});

Route::post('/shopify/webhook/create', [WebhooksController::class, 'handleCreateWebhook'])->withoutMiddleware([ValidateCsrfToken::class]);
Route::post('/shopify/webhook/delete', [WebhooksController::class, 'handleDeleteWebhook'])->withoutMiddleware([ValidateCsrfToken::class]);
