<?php

namespace App\Services;

use App\Models\{ErrorLog}; 

class HelperService
{ 
    public static function createErrorLog($errorObject, $cronName = null)
    {  
        try {
            $dataArray = [
                'message'   => $errorObject->getMessage(),
                'details'   => $errorObject,
                'code'      => $errorObject->getCode() ?? null,
                'cron_name' => $cronname ?? null,
            ];

            ErrorLog::insertData($dataArray);
        } catch (\Exception $e) {
            throw $e;   
        }
    }
}

?>